'''
Autoren: Linus + jl
'''

import serial
import array
import time
import struct

print("Started programm")

ser = serial.Serial(port = "COM2", baudrate = 115200, timeout = 1) # COM-Port ggf. anpassen!
ser.write(array.array('B', [0xFF, 0x07, 0x03, 0x00, 0x00, 0x00, 0x00]).tobytes())
ser.read(3)

f = open('gesture9.csv', 'w')

print("Begin capturing")
i = 0
while i < 40:
    ser.write(array.array('B', [0xFF, 0x08, 0x07, 0x00, 0x00, 0x00, 0x00]).tobytes())
    accel = ser.read(7)
    if len(accel) == 7 and accel[3] == 1:    
        v = struct.unpack('bbb', accel[4:7])
        f.write(str(v[0])+','+str(v[1])+','+str(v[2])+"\n")
        i += 1
    time.sleep(0.03)
ser.write(array.array('B', [0xFF, 0x09, 0x03, 0x00, 0x00, 0x00, 0x00]).tobytes())
ser.close()
print("Finished capturing")